/*
 * Copyright 2019 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.dmn.backend.editors.types.query;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.kie.workbench.common.dmn.backend.editors.types.query.DMNValueRepositoryRootIndexTerm.TERM;

public class DMNValueRepositoryRootIndexTermTest {

    private String rootPath = "/src/path";

    private DMNValueRepositoryRootIndexTerm indexTerm;

    @Before
    public void setup() {
        indexTerm = new DMNValueRepositoryRootIndexTerm(rootPath);
    }

    @Test
    public void testGetValue() {
        assertEquals(rootPath, indexTerm.getValue());
    }

    @Test
    public void testGetTerm() {
        assertEquals(TERM, indexTerm.getTerm());
    }
}
